import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'preOrderStatus'
})
export class PreOrderStatusPipe implements PipeTransform {

  transform(value: number): string {
    switch (value) {
      case 1:
        return '预约中';
      case 2:
        return '预约成功';
      case 3:
        return '预约完成';
      case 4:
        return '预约失败';
    }
  }
}
